Subject: Re: [patch net-next RFC 0/4] introduce infrastructure for support of switch chip datapath

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 27 Mar 2014 17:33:57 -0400

On 03/27/14 11:26, Neil Horman wrote:

> You're absolutely correct - I am viewing this from a host based perspective.
> And I completely understand that offload is good in a middle box environment (I
> worked for embedded switch companies in a former life).  I'm looking at it from
> a host perspective because, as we've been discussing the wide range of devices
> covered here (from the small SOC switches used by owrt to the big enterprise
> switches), theres this middle ground thats seeing some consolodation here which
> I think we need to cover as well.  I'm referring to NICS that have an embedded
> switch in them that can (or soon will) preform lots of these flow based
> forwarding operations and actions.

Agreed - I think we need to capture those. The challenge there maybe how
to abstract some of those tables (example in VMDQ) and make it feel
like a L2 fdb.

cheers,
jamal